Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 589585 - Review Request: maven-javadoc-plugin - Maven Javadoc plugin
Summary: Review Request: maven-javadoc-plugin - Maven Javadoc plugin
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnston
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-06 13:40 UTC by Mary Ellen Foster
Modified: 2010-05-11 15:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-11 15:32:00 UTC
jjohnstn: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Mary Ellen Foster 2010-05-06 13:40:38 UTC
Spec URL: http://www.macs.hw.ac.uk/~mef3/maven221/maven-javadoc-plugin.spec
SRPM URL: http://www.macs.hw.ac.uk/~mef3/maven221/maven-javadoc-plugin-2.4-1.fc12.src.rpm

Description:
The Maven Javadoc Plugin is a plugin that uses the javadoc tool for
generating javadocs for the specified project.

Notes about this package:
- It uses version 2.4, which is not the latest, so that it can be built with the current maven2-2.0.8; it will be updated to the newest version once the newer maven is built
- Javadoc generation for the plugin is disabled for the initial version because that currently also won't work until the rest of maven is updated -- this is the role of the "bootstrap" flag

Comment 1 Mary Ellen Foster 2010-05-06 13:41:38 UTC
Additional note: this builds successfully in koji against the dist-f14-maven221 target:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2167910

Comment 2 Jeff Johnston 2010-05-06 19:36:17 UTC
Please provide URL of where the tarball was taken from or else information about how the tarball was created.  If it was a snapshot from a repository, please indicate that with either the date or tag used.

Results of rpmlint on build above.  Please fix where appropriate and/or comment as ignored for the messages below.

bash $ rpmlint -i maven-javadoc-plugin-2.4-1.1.fc14.noarch.rpm 
maven-javadoc-plugin.noarch: W: spelling-error %description -l en_US javadocs -> java docs, java-docs, Javanese
The value of this tag appears to be misspelled. Please double-check.

maven-javadoc-plugin.noarch: E: no-changelogname-tag
There is no %changelog tag in your spec file. To insert it, just insert a
'%changelog' in your spec file and rebuild it.

maven-javadoc-plugin.noarch: W: obsolete-not-provided maven2-plugin-javadoc
If a package is obsoleted by a compatible replacement, the obsoleted package
should also be provided in order to not cause unnecessary dependency breakage.
If the obsoleting package is not a compatible replacement for the old one,
leave out the Provides.

maven-javadoc-plugin.noarch: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

maven-javadoc-plugin.noarch: W: non-conffile-in-etc /etc/maven/fragments/maven-javadoc-plugin
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

1 packages and 0 specfiles checked; 1 errors, 4 warnings.

Comment 3 Peter Lemenkov 2010-05-07 09:43:13 UTC
*-javadoc package must require jpackage-utils (owner of %{_javadocdir}), which is a common packaging issue among java-related packages.

Comment 4 Mary Ellen Foster 2010-05-07 09:57:40 UTC
I've fixed the issues identified in the above comments (the missing changelog was an artifact of the build, which wasn't quite the final version).

- Added jpackage requirements
- Updated requirements of the (disabled) jpackage sub-package
- Added a comment showing where the tarball comes from (it's a subversion checkout, so no URL is possible)
- Added a Provides: maven2-plugin-javadoc
- The warning about /etc/maven/fragments/maven-javadoc-plugin not being a conf-file is spurious


http://www.macs.hw.ac.uk/~mef3/maven221/maven-javadoc-plugin.spec
http://www.macs.hw.ac.uk/~mef3/maven221/maven-javadoc-plugin-2.4-2.fc12.src.rpm

Comment 5 Mary Ellen Foster 2010-05-07 10:14:31 UTC
p.s. -- Here's a new koji scratch build:
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2171528

Comment 6 Jeff Johnston 2010-05-07 16:19:33 UTC
Looks good.  I am marking this as reviewed.

Comment 7 Mary Ellen Foster 2010-05-07 16:33:55 UTC
New Package CVS Request
=======================
Package Name: maven-javadoc-plugin
Short Description: Maven Javadoc plugin
Owners: mef
Branches: 
InitialCC:

Comment 8 Kevin Fenzi 2010-05-09 02:10:41 UTC
CVS done (by process-cvs-requests.py).


Note You need to log in before you can comment on or make changes to this bug.